
using Godot;
using System.Collections.Generic;


namespace Rokojori
{  
  [Tool]
  [GlobalClass, Icon("res://addons/rokojori_action_library/Icons/ConditionalAction.svg")]
  public partial class ResetCoolDown : Action
  {
    [Export]
    public CoolDown coolDown;

    protected override void _OnTrigger()
    {
      coolDown.ResetCoolDown();
    }
  }
}